import { OnInit, OnDestroy } from '@angular/core';
import { SelectableTableDirective } from '../../directives/tables/selectable-table.directive';
import { Subscription } from 'rxjs';
export declare class RowSelectComponent<T> implements OnInit, OnDestroy {
    table: SelectableTableDirective<T>;
    item: T;
    selected: boolean;
    deselectAllSubscription: Subscription;
    selectAllSubscription: Subscription;
    preselectionSubscription: Subscription;
    /**
     * Listen for '(de)select all' events and update ourselves,
     * also make sure we have the correct starting value by checking
     * against table.selected.
     */
    ngOnInit(): void;
    updateSelected(): void;
    ngOnDestroy(): void;
    onClick(item: T, input: HTMLInputElement): void;
}
